MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032222Open CASCADE[OCCT] OCCT:Visualizationpublic2021-03-17 11:252021-04-03 12:50
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032222: Visualization, V3d_Viewer - use Graphic3d_TOSM_FRAGMENT by default instead of Graphic3d_TOSM_VERTEX
DescriptionGraphic3d_TOSM_FRAGMENT is a preferred shading model for modern GPUs in both performance and visual quality points of view, so that it is preferred enabling it by default.
V3d_Viewer currently sets Graphic3d_TOSM_VERTEX, while V3d_View sets Graphic3d_TOSM_FRAGMENT, but it is overridden by defaults from V3d_Viewer - so there is a confusion in default values description.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0032042verifiedbugmaster Visualization, TKOpenGl - pre-multiply headlight flag into light source position 
child of 0032218verifiedbugmaster Visualization - move V3d_View::ShadingModel() property to Graphic3d_RenderingParams 
child of 0029097closedbugmaster Visualization - allow picking Graphic3d_TypeOfShadingModel per-object 

-  Notes
(0099667)
kgv (developer)
2021-03-23 10:00

Patch is ready for review
- OCCT: branch CR32222.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32222-master-KGV/ [^]
(0099675)
osa (developer)
2021-03-23 15:43

The patch was reviewed without remarks
(0099690)
git (administrator)
2021-03-23 22:22

Branch CR32222 has been created by kgv.

SHA-1: 4536ac9a2c86c17d9f8b93a5d77ae59f9c559113


Detailed log of new commits:

Author: kgv
Date: Mon Mar 22 20:32:02 2021 +0300

    0032222: Visualization, V3d_Viewer - use Graphic3d_TOSM_FRAGMENT by default instead of Graphic3d_TOSM_VERTEX
(0099780)
bugmaster (administrator)
2021-03-27 14:08

Combination -
OCCT branch : WEEK-12
master SHA - 154b4635b8bd4c6c527738f59fd7d9d4f2cda509
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : WEEK-12 SHA - 0779901f5e4c7f986db723d4a181df62079baf71
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17172.74000000034 / 17208.820000000378 [-0.21%]
Products
Total CPU difference: 11546.97000000013 / 11481.660000000102 [+0.57%]
Windows-64-VC14:
OCCT
Total CPU difference: 18612.140625 / 18668.765625 [-0.30%]
Products
Total CPU difference: 12857.140625 / 12879.75 [-0.18%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0100050)
git (administrator)
2021-04-03 12:50

Branch CR32222 has been deleted by inv.

SHA-1: 4536ac9a2c86c17d9f8b93a5d77ae59f9c559113

- Related Changesets
occt: master 1a96d253
Timestamp: 2021-03-22 17:32:02
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032222: Visualization, V3d_Viewer - use Graphic3d_TOSM_FRAGMENT by default instead of Graphic3d_TOSM_VERTEX
mod - src/AIS/AIS_ViewController.cxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentationManager.cxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentationManager.hxx Diff ] File ]
mod - src/QABugs/QABugs_19.cxx Diff ] File ]
mod - src/V3d/V3d_Plane.cxx Diff ] File ]
mod - src/V3d/V3d_Trihedron.cxx Diff ] File ]
mod - src/V3d/V3d_View.hxx Diff ] File ]
mod - src/V3d/V3d_Viewer.cxx Diff ] File ]
mod - src/V3d/V3d_Viewer.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - tests/bugs/vis/bug29791 Diff ] File ]
mod - tests/mesh/end Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-03-17 11:25 kgv New Issue
2021-03-17 11:25 kgv Assigned To => kgv
2021-03-17 11:26 kgv Relationship added child of 0032218
2021-03-17 11:28 kgv Relationship added child of 0029097
2021-03-22 20:42 kgv Relationship added related to 0032042
2021-03-23 10:00 kgv Note Added: 0099667
2021-03-23 10:00 kgv Assigned To kgv => osa
2021-03-23 10:00 kgv Status new => resolved
2021-03-23 10:01 kgv Description Updated View Revisions
2021-03-23 15:43 osa Note Added: 0099675
2021-03-23 15:43 osa Assigned To osa => bugmaster
2021-03-23 15:43 osa Status resolved => reviewed
2021-03-23 22:22 git Note Added: 0099690
2021-03-27 14:08 bugmaster Note Added: 0099780
2021-03-27 14:08 bugmaster Status reviewed => tested
2021-03-27 14:11 bugmaster Test case number => Not required
2021-03-27 14:19 bugmaster Changeset attached => occt master 1a96d253
2021-03-27 14:19 bugmaster Status tested => verified
2021-03-27 14:19 bugmaster Resolution open => fixed
2021-04-03 12:50 git Note Added: 0100050


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker